Recupera · Giacenze — Scorte
Visualizza lo stock dei prodotti, i magazzini e le ubicazioni interne.
GET
/api/v1/inventory/stock/{stock_id}Richiesta cURL
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request GET \
--url https://shop.onshopently.com/api/v1/inventory/stock/stock_v1_WyJleGFtcGxlIiwicHJvZHVjdCIsImV4YW1wbGUiXQ \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'
Risposta
{
"data": {
"active": true,
"allocations": [
{
"location_code": "example",
"location_id": "example",
"location_name": "example",
"on_hand": 10
}
],
"available": 5,
"id": "stock_v1_WyJleGFtcGxlIiwicHJvZHVjdCIsImV4YW1wbGUiXQ",
"manual_reserved": 2,
"on_hand": 10,
"reserved": 3,
"sellable_limit": 10,
"target_id": "example",
"target_type": "product",
"total_reserved": 5,
"updated_at": "2026-01-01T12:00:00Z",
"version": 1,
"warehouse_id": "example"
},
"meta": {
"request_id": "example"
}
}
Permessi necessari
- Autenticazione
- Token di accesso
- Disponibile dal piano
- STANDARD
- Permesso della chiave
- Visualizza l'inventario
inventory.stock:read